[Numpy-svn] [numpy/numpy] cb2c88: MAINT: Fix Python version dependent test.

GitHub noreply@github....
Fri Jul 12 18:08:23 CDT 2013


  Branch: refs/heads/master
  Home:   https://github.com/numpy/numpy
  Commit: cb2c88790fa9d5afe92a77f920b2bf5232cb8e87
      https://github.com/numpy/numpy/commit/cb2c88790fa9d5afe92a77f920b2bf5232cb8e87
  Author: Charles Harris <charlesr.harris@gmail.com>
  Date:   2013-07-12 (Fri, 12 Jul 2013)

  Changed paths:
    M numpy/core/tests/test_api.py

  Log Message:
  -----------
  MAINT: Fix Python version dependent test.

The buffer test in numpy/core/tests/test_api.py was apparently
testing for incorrect behavior that was corrected in Python 2.7.5.
This PR changes the test to check for the correct results and makes
running it depend on Python version.

Closes #3512.


  Commit: b55f2752140de3bd6969dd66960f649da44974a5
      https://github.com/numpy/numpy/commit/b55f2752140de3bd6969dd66960f649da44974a5
  Author: Charles Harris <charlesr.harris@gmail.com>
  Date:   2013-07-12 (Fri, 12 Jul 2013)

  Changed paths:
    M numpy/core/tests/test_api.py

  Log Message:
  -----------
  Merge pull request #3522 from charris/fix-test_api

MAINT: Fix Python version dependent test.


Compare: https://github.com/numpy/numpy/compare/a053a4372aba...b55f2752140d


More information about the Numpy-svn mailing list